package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.wrapper.TenantInfoWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantApplyRecord;
import com.yonge.cooleshow.biz.dal.wrapper.TenantApplyRecordWrapper;

/**
 * 机构入驻申请记录
 * 2023-07-21 17:32:49
 */
@Repository
public interface TenantApplyRecordMapper extends BaseMapper<TenantApplyRecord> {

	/**
	 * 分页查询
	 * @param page IPage<TenantApplyRecordWrapper.TenantApplyRecord>
	 * @param param TenantApplyRecordWrapper.TenantApplyRecordQuery
	 * @return List<TenantApplyRecordWrapper.TenantApplyRecord>
	 */
	List<TenantApplyRecordWrapper.TenantApplyRecord> selectPage(@Param("page") IPage<TenantApplyRecordWrapper.TenantApplyRecord> page, @Param("param") TenantApplyRecordWrapper.TenantApplyRecordQuery param);


	List<TenantApplyRecordWrapper.TenantApply> selectHistoryPage(@Param("page") IPage<TenantApplyRecordWrapper.TenantApply> page, @Param("id") long id);

	TenantApplyRecordWrapper.TenantApplyRecord queryNow(@Param("param") TenantApplyRecordWrapper.TenantApplyRecordQuery query);

	Boolean updateStatusById(@Param("id") Long id);

	Boolean updateUnpassStatusById(@Param("id") Long id);

	TenantApplyRecordWrapper.LastRecord queryLast(@Param("id") Long id);

	TenantApplyRecordWrapper.LastRecord selectEntry(@Param("id") Long id);

	TenantApplyRecordWrapper.TenantApplyRecord selectLastEntry(@Param("id") Long id);

	TenantApplyRecordWrapper.LastRecord selectSecondEntry(@Param("id") Long id);
}